package f1.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SeasonScheduleItem {
    private int id;
    private int round;
    private String name;

    @JsonProperty("have_sprint")
    private boolean haveSprint;

    @JsonProperty("circuit_id")
    private int circuitId;

    private String country;
    private String location;

    public SeasonScheduleItem(int id, int round, String name, boolean haveSprint, int circuitId, String country,
            String location) {
        this.id = id;
        this.round = round;
        this.name = name;
        this.haveSprint = haveSprint;
        this.circuitId = circuitId;
        this.country = country;
        this.location = location;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getRound() {
        return round;
    }

    public void setRound(int round) {
        this.round = round;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isHaveSprint() {
        return haveSprint;
    }

    public void setHaveSprint(boolean haveSprint) {
        this.haveSprint = haveSprint;
    }

    public int getCircuitId() {
        return circuitId;
    }

    public void setCircuitId(int circuitId) {
        this.circuitId = circuitId;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
